Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043791
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminorhave not tried2020-04-20 13:482020-04-27 14:06
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision1a900d192345
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043791: Referencedinventory tests are incompatible with AWO and should auto-skip themselves if AWO is present

DescriptionThe referencesinventory junit tests in PI are not compatible with AWO module as they create some data not compliant with some new constraint added when installing AWO.

To avoid them failing when AWO is present they can be disabled manually however that needs to be done in every environment (developer or many CI jobs) having AWO installed.
Current list:
org.openbravo.test.referencedinventory.ReferencedInventoryBoxForcedReservation
org.openbravo.test.referencedinventory.ReferencedInventoryBoxFullReservationTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxOverReservation1MovementLineTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxOverReservation2MovementLinesTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxPartialReservation1MovementLineTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxPartialReservation2MovementLinesTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxSeveralStorageDetailsTest
org.openbravo.test.referencedinventory.ReferencedInventoryBoxTest
org.openbravo.test.referencedinventory.ReferencedInventoryExceptionTest
org.openbravo.test.referencedinventory.ReferencedInventoryFullBoxTest
org.openbravo.test.referencedinventory.ReferencedInventoryFullUnboxFullReservation
org.openbravo.test.referencedinventory.ReferencedInventoryFullUnboxPartialReservation
org.openbravo.test.referencedinventory.ReferencedInventoryFullUnboxTest
org.openbravo.test.referencedinventory.ReferencedInventoryPartialBoxTest
org.openbravo.test.referencedinventory.ReferencedInventoryPartialUnboxFullReservation
org.openbravo.test.referencedinventory.ReferencedInventoryPartialUnboxPartialReservation1MovementLineUnboxTest
org.openbravo.test.referencedinventory.ReferencedInventoryPartialUnboxPartialReservation2MovementLinesUnboxTest
org.openbravo.test.referencedinventory.ReferencedInventoryPartialUnboxTest
org.openbravo.test.referencedinventory.ReferencedInventorySequenceTest
org.openbravo.test.referencedinventory.ReferencedInventoryTest
org.openbravo.test.referencedinventory.ReferencedInventoryTestSuite
org.openbravo.test.referencedinventory.ReferencedInventoryTestUtils
org.openbravo.test.referencedinventory.ReferencedInventoryUnboxReservationTest
org.openbravo.test.referencedinventory.ReferencedInventoryUnboxTest

Instead those tests should check 'awo is present' and auto-skip themselves do avoid needing to have replicate that long exception list everywhere.

Attached patch implements that by checking if 'org.openbravo.warehouse.advancedwarehouse' module is present in the workspace.
Steps To Reproduce1.) Fresh pi
2.) Add awo + dependencies
https://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core [^]
3.) run ant run.all.tests
Notice tests listed above failing
Proposed SolutionSimilar to code for skipping tests with 'config/disabled-tests' add assumeThat(<awo-not-installed>) as @Before.
As all referencedinventory tests have a single base class ReferencedInventoryTest that can be done centrally there easily.
TagsNo tags attached.
Attached Filesdiff file icon 43791.diff [^] (1,753 bytes) 2020-04-20 13:50 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00438023.0PR20Q2 closedinigo_lerga Referencedinventory tests are incompatible with AWO and should auto-skip themselves if AWO is present 
depends on backport 00438033.0PR20Q1.1 closedinigo_lerga Referencedinventory tests are incompatible with AWO and should auto-skip themselves if AWO is present 

-  Notes
(0119303)
hgbot (developer)
2020-04-21 13:40

Repository: erp/devel/pi
Changeset: 1a900d19234531305f0779e701f0599c21e7c55e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Tue Apr 21 10:15:57 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1a900d19234531305f0779e701f0599c21e7c55e [^]

Fixed ISSUE-43791. Make referencedinventory test auto-skip if AWO is installed.

Those test are not compatible with AWO as data they create does not comply with
some new constraint added by AWO.
So far that was required to be handled manually by adding config/disabled-tests
i.e. in every CI job with AWO installed to list the all individual tests here
to skip them.

This issue makes that behavior automatic by checking inside a central base-class
if AWO module is present and skipping the tests themselves (using similar logic
as is used by code for skipping config/disabled-tests from OBBaseTest).
Note that the repeated (per test) calls to isModulePresent are very fast as
that function caches the data inside so no need for caching isAwoInstalled inside
the test-class.

---
M src-test/src/org/openbravo/test/referencedinventory/ReferencedInventoryTest.java
---
(0119431)
vmromanos (developer)
2020-04-27 14:06

Code review OK

- Issue History
Date Modified Username Field Change
2020-04-20 13:48 shuehner New Issue
2020-04-20 13:48 shuehner Assigned To => Triage Finance
2020-04-20 13:48 shuehner Modules => Core
2020-04-20 13:48 shuehner Triggers an Emergency Pack => No
2020-04-20 13:50 shuehner File Added: 43791.diff
2020-04-21 10:18 shuehner Status new => scheduled
2020-04-21 10:18 shuehner Assigned To Triage Finance => shuehner
2020-04-21 13:28 vmromanos Review Assigned To => vmromanos
2020-04-21 13:40 hgbot Checkin
2020-04-21 13:40 hgbot Note Added: 0119303
2020-04-21 13:40 hgbot Status scheduled => resolved
2020-04-21 13:40 hgbot Resolution open => fixed
2020-04-21 13:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1a900d19234531305f0779e701f0599c21e7c55e [^]
2020-04-27 14:06 vmromanos Note Added: 0119431
2020-04-27 14:06 vmromanos Status resolved => closed
2020-04-27 14:06 vmromanos Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker